<!-- HTML header for doxygen 1.8.9.1-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>OpenThread: otNetifAddress Struct Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
  $(window).load(resizeHeight);
</script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="../../Open-Thread-Logo-200x42.png"/></td>
  <td style="padding-left: 0.5em;">
   <div id="projectname">
   &#160;<span id="projectnumber">gddd0704</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "../../search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="../../index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="../../modules.html"><span>Modules</span></a></li>
      <li><a href="../../namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="../../annotated.html"><span>Classes</span></a></li>
      <li><a href="../../files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="../../search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="../../search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="../../annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="../../classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="../../inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="../../functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('d8/d1d/structotNetifAddress.html','../../');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="../../d3/d3a/structotNetifAddress-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">otNetifAddress Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>This structure represents an IPv6 network interface address.  
 <a href="../../d8/d1d/structotNetifAddress.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">include/openthread-types.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for otNetifAddress:</div>
<div class="dyncontent">
<div class="center"><img src="../../d3/d72/structotNetifAddress__inherit__graph.png" border="0" usemap="#otNetifAddress_inherit__map" alt="Inheritance graph"/></div>
<map name="otNetifAddress_inherit__map" id="otNetifAddress_inherit__map">
<area shape="rect" id="node2" href="../../d9/d13/classThread_1_1Ip6_1_1NetifUnicastAddress.html" title="This class implements an IPv6 network interface unicast address. " alt="" coords="5,79,174,117"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<div class="dynheader">
Collaboration diagram for otNetifAddress:</div>
<div class="dyncontent">
<div class="center"><img src="../../d1/d25/structotNetifAddress__coll__graph.png" border="0" usemap="#otNetifAddress_coll__map" alt="Collaboration graph"/></div>
<map name="otNetifAddress_coll__map" id="otNetifAddress_coll__map">
<area shape="rect" id="node2" href="../../d6/d55/structotIp6Address.html" title="This structure represents an IPv6 address. " alt="" coords="10,5,110,31"/>
</map>
<center><span class="legend">[<a target="top" href="../../graph_legend.html">legend</a>]</span></center></div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:af7ae93284e0d8cf84f7fe626107f331c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af7ae93284e0d8cf84f7fe626107f331c"></a>
<a class="el" href="../../d6/d55/structotIp6Address.html">otIp6Address</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d1d/structotNetifAddress.html#af7ae93284e0d8cf84f7fe626107f331c">mAddress</a></td></tr>
<tr class="memdesc:af7ae93284e0d8cf84f7fe626107f331c"><td class="mdescLeft">&#160;</td><td class="mdescRight">The IPv6 address. <br /></td></tr>
<tr class="separator:af7ae93284e0d8cf84f7fe626107f331c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8f2fd3fb0781d79fb7dd89c726bc5015"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8f2fd3fb0781d79fb7dd89c726bc5015"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d1d/structotNetifAddress.html#a8f2fd3fb0781d79fb7dd89c726bc5015">mPreferredLifetime</a></td></tr>
<tr class="memdesc:a8f2fd3fb0781d79fb7dd89c726bc5015"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Preferred Lifetime. <br /></td></tr>
<tr class="separator:a8f2fd3fb0781d79fb7dd89c726bc5015"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c6ddb105e92de60258fb35a76257564"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a3c6ddb105e92de60258fb35a76257564"></a>
uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d1d/structotNetifAddress.html#a3c6ddb105e92de60258fb35a76257564">mValidLifetime</a></td></tr>
<tr class="memdesc:a3c6ddb105e92de60258fb35a76257564"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Valid lifetime. <br /></td></tr>
<tr class="separator:a3c6ddb105e92de60258fb35a76257564"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a34ba4bb9f7701678558399d5bd2ef69f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a34ba4bb9f7701678558399d5bd2ef69f"></a>
uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d1d/structotNetifAddress.html#a34ba4bb9f7701678558399d5bd2ef69f">mPrefixLength</a></td></tr>
<tr class="memdesc:a34ba4bb9f7701678558399d5bd2ef69f"><td class="mdescLeft">&#160;</td><td class="mdescRight">The Prefix length. <br /></td></tr>
<tr class="separator:a34ba4bb9f7701678558399d5bd2ef69f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2114aeb81861bfbde4655e93c97b9374"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2114aeb81861bfbde4655e93c97b9374"></a>
struct <a class="el" href="../../d8/d1d/structotNetifAddress.html">otNetifAddress</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d8/d1d/structotNetifAddress.html#a2114aeb81861bfbde4655e93c97b9374">mNext</a></td></tr>
<tr class="memdesc:a2114aeb81861bfbde4655e93c97b9374"><td class="mdescLeft">&#160;</td><td class="mdescRight">A pointer to the next network interface address. <br /></td></tr>
<tr class="separator:a2114aeb81861bfbde4655e93c97b9374"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>This structure represents an IPv6 network interface address. </p>
</div><hr/>The documentation for this struct was generated from the following file:<ul>
<li>include/<a class="el" href="../../dc/dbf/openthread-types_8h_source.html">openthread-types.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d8/d1d/structotNetifAddress.html">otNetifAddress</a></li>
    <li class="footer">Generated on Fri Oct 14 2016 08:44:35 for OpenThread by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="../../doxygen.png" alt="doxygen"/></a> 1.8.11 </li>
  </ul>
</div>
</body>
</html>
